/*
 * This file is part of Transportgoals, which is a GameScript for OpenTTD
 * Copyright (C) 2011  Leif Linse
 *
 * Transportgoals is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * Transportgoals is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Transportgoals; If not, see <http://www.gnu.org/licenses/> or
 * write to the Free Software Foundation, Inc., 51 Franklin Street, 
 * Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

class CityDomination extends GSInfo {
	function GetAuthor()		{ return "KillerByte"; }
	function GetName()			{ return "City Domination"; }
	function GetDescription() 	{ return "Companies can own cities?"; }
	function GetVersion()		{ return 2; }
	function GetDate()			{ return "2011-12-20"; }
	function CreateInstance()	{ return "CityDomination"; }
	function GetShortName()		{ return "SPCE"; }
	function GetAPIVersion()	{ return "1.2"; }
	function GetUrl()			{ return ""; }

	function GetSettings() {
		AddSetting({name = "log_level", description = "Debug: Log level (higher = print more)", easy_value = 2, medium_value = 2, hard_value = 2, custom_value = 2, flags = CONFIG_INGAME, min_value = 1, max_value = 3});
		AddSetting({name = "goals_per_company", description = "The number of goals each company should have", easy_value = 3, medium_value = 3, hard_value = 3, custom_value = 3, flags = 0, min_value = 0, max_value = 10});
	}
}

RegisterGS(CityDomination());
